#!/bin/bash
source "${AGENT_PATH}/_common.sh"
_check_required_env_vars "LOCAL_DATA_FOLDER" "BACKUP_FILE" "TEMP_DIR" "CONTAINER_NAME"

# Nginx Example Restore Script

echo "Uninstalling service before restore..."
bash ./uninstall.sh || _die "Failed to uninstall service before restore"

autorestore "path=${LOCAL_DATA_FOLDER}" || _die "Failed to restore data folder from backup"

echo "Restore complete. Reinstalling service..."
bash ./install.sh || _die "Failed to reinstall service after restore"

echo "Service ${CONTAINER_NAME} restored and reinstalled."
